## mycompiler.mytypereconstruction
Class CIntersectionType

    java.lang.Object
      mycompiler.mytypereconstruction.CIntersectionType

    public class CIntersectionType

extends java.lang.Object

Ein `CIntersectionType` gruppiert alle Typm�glichkeiten einer bestimmten Methode, die �ber den `CMethodKey` eindeutig definiert ist.
Bei der bisherigen Implementierung enth�lt IntersectionType jedoch nur eine einzige Typm�glichkeit, d.h. der `Menge` `m_MethodTypeAssumptions` enth�lt stets nur ein einziges Element.
Der Grund hierf�r ist in der Kopplung der Typannahmen f�r die einzelnen Methoden, d.h. der Typkombinationen, begr�ndet. Diese Kopplung von Methoden wird bisher �ber die getrennten Mengen von `CTypeReconstructionResult`s realisiert.

Version:
  $Date: 2005/06/28 19:19:10 $
Author:
  J�rg B�uerle

Constructor Summary
`CIntersectionType(CMethodTypeAssumption assum)`
`CIntersectionType(java.lang.String className, java.lang.String methodIdentifier, int methodParaCount)`

Method Summary
`void` `addMethodTypeAssumption(CMethodTypeAssumption assum)`
`CMethodKey` `getIntersectionTypeKey()`
`de.dhbwstuttgart.typeinference.Menge<CMethodTypeAssumption>` `getMethodTypeAssumptions()`
`void` `removeMethodTypeAssumption(CMethodTypeAssumption assum)`
`void` `setIntersectionTypeKey(CMethodKey intersectionTypeKey)`
`void` `setMethodTypeAssumptions(de.dhbwstuttgart.typeinference.Menge<CMethodTypeAssumption> methodTypeAssumptions)`
`java.lang.String` `toString()` Author: J�rg B�uerle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIntersectionType

    public CIntersectionType(java.lang.String className,
                             java.lang.String methodIdentifier,
                             int methodParaCount)

### CIntersectionType

    public CIntersectionType(CMethodTypeAssumption assum)

Method Detail

### getIntersectionTypeKey

    public CMethodKey getIntersectionTypeKey()

### setIntersectionTypeKey

    public void setIntersectionTypeKey(CMethodKey intersectionTypeKey)

### getMethodTypeAssumptions

    public de.dhbwstuttgart.typeinference.Menge<CMethodTypeAssumption> getMethodTypeAssumptions()

### setMethodTypeAssumptions

    public void setMethodTypeAssumptions(de.dhbwstuttgart.typeinference.Menge<CMethodTypeAssumption> methodTypeAssumptions)

### addMethodTypeAssumption

    public void addMethodTypeAssumption(CMethodTypeAssumption assum)

### removeMethodTypeAssumption

    public void removeMethodTypeAssumption(CMethodTypeAssumption assum)

### toString

    public java.lang.String toString()

  Author: J�rg B�uerle

  Overrides:
    `toString` in class `java.lang.Object`
  Returns: